@import '../../variables.scss';

.array-field {
  > div {
    width: 100%;
  }
  &__label {
    font-size: $text-lg;
    font-family: 'Roboto';

    &--disabled {
      opacity: 0.5;
    }

    &--invalid {
      color: $bia-tomato;
    }
  }

  &__list {
    padding: 0;
  }

  &__button {
    width: unset;
    border-radius: 50%;
    height: 1.5rem;
    background-color: $bia-white;
    z-index: 1;
    top: -0.55rem;
    right: 0.25rem;

    &-icon {
      vertical-align: unset;
    }

    &:disabled {
      cursor: default;
      .array-field__button-icon {
        opacity: 0.55;
      }
    }
  }

  &__error {
    &-arrow {
      width: 0;
      height: 0;
      border-left: 0.25rem solid transparent;
      border-right: 0.25rem solid transparent;
      border-bottom: 0.25rem solid $bia-tomato;
      left: 1rem;
      top: 1.5rem;
    }

    &-message {
      height: 1.44rem;
      border-radius: 0.25rem;
      color: $bia-white;
      background-color: $bia-tomato;
      font-size: $text-xs;
      left: 0.34rem;
      top: 1.75rem;
      z-index: 1;
    }
  }
}

